Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`maildir`.`DirdbmDatabase``

class documentation

`class DirdbmDatabase: (source)`

Constructor: `DirdbmDatabase(dbm)`

Implements interfaces: `twisted.cred.checkers.ICredentialsChecker`

View In Hierarchy

A credentials checker which authenticates users out of a `DirDBM` database.

Method | `__init__` | No summary
Method | `requestAvatarId` | Authenticate a user and, if successful, return their username.
Class Variable | `credentialInterfaces` | A list of sub-interfaces of `ICredentials` which specifies which I may check.
Instance Variable | `dirdbm` | An authentication database.

def __init__(self, dbm): (source)

Parameters
dbm:`DirDBM` | An authentication database.

def requestAvatarId(self, c): (source)
from `twisted.cred.checkers.ICredentialsChecker`

Authenticate a user and, if successful, return their username.

Parameters
c:`IUsernamePassword` or `IUsernameHashedPassword` provider. | Credentials.
Returns
`bytes` | A string which identifies an user.
Raises
`UnauthorizedLogin` | When the credentials check fails.

credentialInterfaces = (source)
from `twisted.cred.checkers.ICredentialsChecker`

A list of sub-interfaces of `ICredentials` which specifies which I may check.

dirdbm: `DirDBM` = (source)

An authentication database.